### Method

# Gimp Drawable edit_stroke_selection

#### Declaration [src]

    gboolean
    gimp_drawable_edit_stroke_selection (
      GimpDrawable* drawable
    )

#### Description [src]

Stroke the current selection

This procedure strokes the current selection, painting along the selection boundary with the active paint method and brush, or using a plain line with configurable properties. The paint is applied to the specified drawable regardless of the active selection.

This procedure is affected by the following context setters: gimp_context_set_opacity(), gimp_context_set_paint_mode(), gimp_context_set_paint_method(), gimp_context_set_stroke_method(), gimp_context_set_foreground(), `gimp_context_set_brush()` and all brush property settings, `gimp_context_set_gradient()` and all gradient property settings, `gimp_context_set_line_width()` and all line property settings, gimp_context_set_antialias().

#### Return value

Returns: | `gboolean`
| TRUE on success.